package repostatus

import (
	"go.wit.com/gui"
	"go.wit.com/lib/gadgets"
)

func (rs *RepoStatus) drawGitStatus(box *gui.Node) {
	rs.gitStatusGroup = box.NewGroup("What GIT Knows It Has")
	newgrid := rs.gitStatusGroup.NewGrid("gridnuts", 2, 2)
	newgrid.Margin()
	newgrid.Pad()

	rs.path = gadgets.NewOneLiner(newgrid, "path")
	rs.goSrcPath = gadgets.NewOneLiner(newgrid, "~/go/src")
	rs.goPath = gadgets.NewOneLiner(newgrid, "go path")
	rs.realPath = gadgets.NewOneLiner(newgrid, "full path")
	rs.isGoLang = gadgets.NewOneLiner(newgrid, "Is GO Lang?")
	rs.isGoLang.SetText("false")
	rs.mainWorkingName = gadgets.NewOneLiner(newgrid, "main working branch")
	rs.mainWorkingName.SetValue("???")
	rs.develWorkingName = gadgets.NewOneLiner(newgrid, "devel working branch")
	rs.develWorkingName.SetValue("devel")
	rs.userWorkingName = gadgets.NewOneLiner(newgrid, "user working branch")
	rs.userWorkingName.SetValue("uid")

	rs.dirtyLabel = gadgets.NewOneLiner(newgrid, "dirty")
	rs.gitState = gadgets.NewOneLiner(newgrid, "git state")
	rs.readOnly = gadgets.NewOneLiner(newgrid, "read only")
	rs.primitive = gadgets.NewOneLiner(newgrid, "primitive")
	rs.private = gadgets.NewOneLiner(newgrid, "private")
	rs.targetReleaseVersion = gadgets.NewOneLiner(newgrid, "target release version")

	rs.speed = gadgets.NewOneLiner(newgrid, "refresh speed =")
	rs.speedActual = gadgets.NewOneLiner(newgrid, "speed actual =")
}
